import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:flutter/widgets.dart';
import 'package:responsive_builder/responsive_builder.dart';

mixin PlatformNavigatorMixin {

  Navigator webNavigator(context);
  Navigator deviceNavigator(context);

  Widget navigator(BuildContext context) {
    if (kIsWeb)
      return webNavigator(context);
    else
      return deviceNavigator(context);

  }
}


mixin ScreenTypeNavigatorMixin {
  
  Navigator watchNavigator(context);
  Navigator mobileNavigator(context);
  Navigator tabletNavigator(context);
  Navigator desktopNavigator(context);

  Widget navigator(BuildContext context) {
    return ScreenTypeLayout.builder(
      mobile: (ctx) => mobileNavigator(ctx),
      desktop: (ctx) => desktopNavigator(ctx),
      tablet: (ctx) => tabletNavigator(ctx),
      watch: (ctx) => watchNavigator(ctx),
    );
  }
}